﻿// Skript für Zollzeichen.
// Voraussetzung: Es muss ein Zeichenformat "Zollzeichen" angelegt sein,
// das die Eigenschaft "[Keine Sprache]" zuweist.

// Zunächst typografische Anführungszeichen ausschalten:
with(app.documents.item(0).textPreferences){
typographersQuotes = false;
}

// Zeichenformat "Zollzeichen" einstellen. Wenn Sie einen GREP-Stil dafür verwenden,
// dann geben Sie zwei Schrägstriche an den Anfang der nächsten Zeile ein.
app.selection[0].appliedCharacterStyle = 'Zollzeichen';

// Jetzt das Zollzeichen einfügen:
app.selection[0].contents=String.fromCharCode(0x22);

// Zeichenformat auf "Ohne" zurückstellen:
// Wenn Sie einen GREP-Stil verwenden, dann geben Sie jeweils zwei Schrägstriche
// an den Anfang der nächsten drei Zeilen ein.
var myDoc = app.activeDocument;
var myCstyle=myDoc.characterStyles.item("[Ohne]");
app.selection[0].applyCharacterStyle(myCstyle);

// Zuletzt typografische Anführungszeichen wieder einschalten:
with(app.documents.item(0).textPreferences){
typographersQuotes = true;
}